> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprosperapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Log

> Get detailed information for a specific call log.



## OpenAPI

````yaml https://voice.getprosperapp.com/openapi.json get /api/v1/call-logs/{call_log_id}
openapi: 3.1.0
info:
  title: Prosper Voice
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/call-logs/{call_log_id}:
    get:
      tags:
        - Call Logs
      summary: Get Call Log
      description: Get detailed information for a specific call log.
      operationId: get_call_log_api_v1_call_logs__call_log_id__get
      parameters:
        - name: call_log_id
          in: path
          required: true
          schema:
            type: integer
            ge: 0
            le: 9223372036854776000
            description: The ID of the call log to get the information.
            title: Call Log Id
          description: The ID of the call log to get the information.
        - name: include_recordings
          in: query
          required: false
          schema:
            type: boolean
            description: Whether to include recordings.
            default: false
            title: Include Recordings
          description: Whether to include recordings.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallLogExportInformation'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CallLogExportInformation:
      properties:
        id:
          type: string
          title: Id
        to:
          type: string
          title: To
        from_:
          anyOf:
            - type: string
              const: DeprecatedLocalTest
            - type: string
          title: From
        created_at:
          type: string
          format: date-time
          title: Created At
        call_length:
          type: string
          title: Call Length
        call_ended_reason:
          type: string
          title: Call Ended Reason
        call_categorization:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Call Categorization
        recording_urls:
          items:
            anyOf:
              - type: string
              - type: 'null'
          type: array
          title: Recording Urls
        agent_data:
          additionalProperties: true
          type: object
          title: Agent Data
        campaign_target_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Campaign Target Id
        post_call_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Post Call Data
        qa:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Qa
        transcripts:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Transcripts
      type: object
      required:
        - id
        - to
        - from_
        - created_at
        - call_length
        - call_ended_reason
        - call_categorization
        - recording_urls
        - agent_data
        - campaign_target_id
        - post_call_data
        - qa
        - transcripts
      title: CallLogExportInformation
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````